Bug 385201 - Anaconda should try ata_generic driver with all_generic_ide=1 option if all else fails
Anaconda should try ata_generic driver with all_generic_ide=1 option if all e...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
Blocks: 418441
  Show dependency treegraph
Reported: 2007-11-15 13:21 EST by Arjan van de Ven
Modified: 2009-01-09 02:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:25:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2007-11-15 13:21:58 EST
Description of problem:

On systems of which the IDE controllers PCI ID isn't known by the kernel yet 
(for example hardware that comes out after the Fedora release), right now the 
user needs to
1) extract the modules.cgz
2) manually insmod the ata_generic.ko with the all_generic_ide=1 module option
in the middle of the installation process on the terminal.

Now of course for the "normal" case this isn't something that anaconda should 
do by default, but for the scenario where anaconda realizes that there is no 
storage device to install to at all, it would be a good option to have 
anaconda do this modprobing/etc instead, because chances are good that this 
driver works (albeit slowly).

A second option (not currently enabled in fedora) is trying the pata_acpi 
driver; I don't know how well that one works.
Comment 1 Arjan van de Ven 2007-11-15 13:24:57 EST
If this can be done, it will greatly improve the experience of installing 
Fedora on new hardware; especially since the assumption that a kernel update 
will then later add "native" support for the storage to make it go actually 
Comment 2 Bug Zapper 2008-11-26 03:27:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 02:25:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.